Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class ConByConJoinPoint

    java.lang.Object
      org.jboss.aop.JoinPoint
          org.jboss.aop.CallerConstructorJoinPoint
              org.jboss.aop.ConByConJoinPoint

public class ConByConJoinPoint
extends CallerConstructorJoinPoint

Version:
  $Revision$
Author:
  Kabir Khan

Field Summary

Fields inherited from class org.jboss.aop.JoinPoint
`factories, factoryChain, interceptorChain, interceptors, joinpoint`

Constructor Summary
`ConByConJoinPoint(Advisor advisor, Class calledClass, int callingIndex, Constructor called, long calledConHash, Method wrappingMethod, Interceptor[] in)`

Method Summary
`JoinPoint` | `copy()`
`Constructor` | `getCalling()`
`int` | `getCallingIndex()`
`protected Joinpoint` | `internalGetJoinpoint()`
`String` | `toString()`

Methods inherited from class org.jboss.aop.CallerConstructorJoinPoint
`getCalledClass, getCalledConHash, getCallingClass, getConstructor, getWrappingMethod`

Methods inherited from class org.jboss.aop.JoinPoint
`clear, equalChains, getAdvisor, getFactories, getFactoryChain, getInterceptorChain, getInterceptors, getJoinpoint, hasAdvices, initialiseInterceptors, setAdvisor, setFactories, setFactoryChain, setInterceptorChain, setInterceptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConByConJoinPoint

    public ConByConJoinPoint(Advisor advisor,
                             Class calledClass,
                             int callingIndex,
                             Constructor called,
                             long calledConHash,
                             Method wrappingMethod,
                             Interceptor[] in)

Method Detail

### internalGetJoinpoint

    protected Joinpoint internalGetJoinpoint()

  Specified by:
    `internalGetJoinpoint` in class `JoinPoint`

### copy

    public JoinPoint copy()

  Specified by:
    `copy` in class `JoinPoint`

### toString

    public String toString()

### getCallingIndex

    public int getCallingIndex()

### getCalling

    public Constructor getCalling()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.